{
  //#H BUILT IN
  "terminal.integrated.env.linux": {"PYTHONPATH": "${workspaceFolder}"},

  //% Exclude things
  "files.exclude": {
    "**/*.pyc": true,
    "**/tempCodeRunnerFile.*": true,
    "**/*.egg-info/": true
  },

  "search.exclude": {
    "**/_*": true,
    "**/.*": true,
    "**/*.vscode": true,
    "**/build/": true,
    "**/devel/": true,
    "old/": true,
    "**/*.drawio": true,
    "setup.cfg": true
  },

  //% Editor
  "editor.formatOnSave": true,
  "editor.formatOnPaste": false,
  "editor.formatOnType": false,
  "editor.lineHeight": 22,
  "editor.fontSize": 13,
  "editor.minimap.enabled": false,
  "explorer.sortOrder": "default",
  "explorer.autoReveal": "false",

  //% Language-specific
  "[jsonc]": {
    "editor.quickSuggestions": {"strings": true},
    "editor.suggest.insertMode": "replace",
    "editor.comments.insertSpace": true
  },

  //#H EXTENSIONS
  //% Python
  "python.envFile": "${workspaceFolder}/.settings/.env",
  "python.pythonPath": ".venv/bin/python",
  "python.autoComplete.extraPaths": [
    "/opt/ros/melodic/lib/python2.7/dist-packages",
    "/opt/ros/melodic/share",
    "${workspaceFolder}/sim_ws/devel/lib/python2.7/dist-packages",
    "${workspaceFolder}/sim_ws/src",
    "${workspaceFolder}/sim_ws/src/toolbox"
  ],
  "python.analysis.extraPaths": [
    "/opt/ros/melodic/lib/python2.7/dist-packages",
    "/opt/ros/melodic/share",
    "${workspaceFolder}/sim_ws/devel/lib/python2.7/dist-packages",
    "${workspaceFolder}/sim_ws/src/toolbox"
  ],
  "python.analysis.diagnosticSeverityOverrides": {
    "reportMissingImports": "none"
  },
  "python.formatting.yapfArgs": ["--style", "${workspaceFolder}/.settings/setup.cfg"],
  "python.linting.pylintArgs": ["--rcfile=${workspaceFolder}/.settings/setup.cfg"],
  "python.sortImports.path": "${workspaceFolder}/.venv/bin/isort",
  "python.sortImports.args": ["--settings-path=${workspaceFolder}/.settings/setup.cfg"],
  "python.analysis.completeFunctionParens": true,

  //% other
  "autoDocstring.customTemplatePath": ".settings/docstring_template.mustache",
  "csv-preview.formatValues": "never",
  "workbench.colorCustomizations": {
    "activityBar.background": "#083523",
    "titleBar.activeBackground": "#0B4A31",
    "titleBar.activeForeground": "#F0FDF8"
  },
  "favorites.sortOrder": "MANUAL",
  "favorites.resources": [
    "docs",
    "log",
    "log/clear_logs.py",
    "sim_ws/src/toolbox/toolbox",
    "sim_ws/src/trolley_tests/CMakeLists.txt",
    "sim_ws/src/trolley_simulation/launch/simulation_base.launch",
    "sim_ws/src/trolley_simulation/launch/trolley.launch",
    "sim_ws/src/trolley_description/urdf/trolley.gazebo",
    "sim_ws/src/trolley_description/urdf/trolley.urdf.xacro",
    "sim_ws/src/trolley_tests/launch/manual_check.launch",
    "sim_ws/src/trolley_tests/config/config_tests.yaml",
    "sim_ws/src/trolley_description/config/config_description.yaml",
    "python_scripts/params.py"
  ]
}
